/* 初期設定 */
@charset 'utf-8';

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'sans-serif';
}
html{
    font-size: 16px;
}

:root{
    --bgc:#dfe;
}
body{
    background-color:var(--bgc);
    display: flex;
    justify-content: center;
    overflow: hidden;
}

.sakuraBox{
    position: relative;    
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    z-index: -5;       
}

.sakura{
    position: absolute;
    top: 150px; 
    width: 30px;
    height: 30px;    
}

.sakura.lost{
    opacity: .3;  
}

.sakuraBox{
    position: fixed;
    top: 0;
    max-width: 100vw;
    padding-bottom: 20px;
}
.title{
    text-align: center;
    color: #555;
    font-weight: bold;
    padding: .5rem;
}
.menu_box{
    position: relative;
}
#menu_btn{
    font-size: .8rem;
    text-align: center;
    margin: 0 1rem;
    padding: .5rem;
    background-color: #070;
    border: 1pp solid #333;
    color: #fff;
}
#lines{
    /*display: block;  ハンバーガーメニューの非表示 */
    position: absolute;
    top: .4rem;
    right: 1.5rem;
    width: 1.4rem;
    height: 1.4rem;
    background-image: url(./image/open2.png);  /* ハンバーガーメニューのオープンボタン（横三本線） */
    background-size: 1.5rem;
    background-position: center;
    background-repeat: no-repeat;
}
.lines.close{
    background-image: url(./image/close.png); /* ハンバーガーメニューのクローズボタン（×） */
}

#menus{
    padding: 10px;
    list-style: none;
}
#menus>li{
    position: relative;    
    background-color: #ffc;
    border: 1px solid #555;
    border-radius: 5px;
    margin: 10px;
}
#menus>li>a{
    display: block;
    background-color: #ffc;
    border-radius: 5px;
    padding: .3rem 1rem;
    text-decoration: none;
}
.menu{
    display: none;
}
.menu.open{
    display: block;
}
.menu:hover{
    cursor: pointer;
}

.simu>li>a,.doc>li>a{
    display: block;
    margin: .3rem 0;
    padding:0 1rem;
    color: #333;
}
.simu>li>a::before{
    content: '● ';
}
.doc>li>a::before {
    content: '● ';
}
.s_menu{
    display: none;
}
.s_menu.s_open{
    display: block;
}
.d_menu{
    display: none;
}
.d_menu.d_open{
    display: block;
}
.plus{
    z-index: 3;
    height: 3rem;
    display: block;
    background-image: url(./image/+.png);
    background-color: #cdd;
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 2rem;
    height: 2rem;
    padding: .3rem;
    border-radius: 5px;
}

.plus.close{
    background-image: url(./image/-.png);
    background-color: #cdd;
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    right: 0;
    bottom: 0;
    width: 2rem;
    height: 2rem;
    padding: .3rem;
    border-radius: 5px;
}

a,a:visited{
    color:blue
}
aside{
    display: none;
    text-align: center;
}
.info{
    display: block;
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
    color: red;
    /* font-weight: bold; */
}
main{
    position: relative;
    z-index: 4;
}
.message{
    font-size: .9rem;
    margin:0 20px;
    padding: 1rem 0 1rem 1.5rem;
    background-color: #fff;
    border: 1px solid #777;
}
.message li{
    padding:.3rem;
}

footer{
    max-width: 300px;
    margin: 40px auto;
    position: relative;
}
